---
title: RegExp.prototype.global
slug: Web/JavaScript/Reference/Global_Objects/RegExp/global
tags:
  - JavaScript
  - Property
  - Prototype
  - Reference
  - RegExp
  - Regular Expressions
---
<div>{{JSRef}}</div>

<p>The <strong><code>global</code></strong> property indicates whether or not the "<code>g</code>" flag is used with the regular expression. <code>global</code> is a read-only property of an individual regular expression instance.</p>

<div>{{EmbedInteractiveExample("pages/js/regexp-prototype-global.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0, 0, 1)}}</div>

<h2 id="Description">Description</h2>

<p>The value of <code>global</code> is a {{jsxref("Boolean")}} and <code>true</code> if the "<code>g</code>" flag was used; otherwise, <code>false</code>. The "<code>g</code>" flag indicates that the regular expression should be tested against all possible matches in a string. A regular expression defined as both <code>global</code> ("<code>g</code>") and <code>sticky</code> ("<code>y</code>") will ignore the <code>global</code> flag and perform sticky matches.</p>

<p>You cannot change this property directly.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_global">Using global</h3>

<pre class="brush: js notranslate">var regex = new RegExp('foo', 'g');

console.log(regex.global);  // true

var str = 'fooexamplefoo';

var str1 = str.replace(regex, '');

console.log(str1);  // Output: example

var regex1 = new RegExp('foo');

var str2 = str.replace(regex1, '');

console.log(str2);  // Output: examplefoo</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-get-regexp.prototype.global', 'RegExp.prototype.global')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.RegExp.global")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("RegExp.lastIndex")}}</li>
 <li>{{jsxref("RegExp.prototype.ignoreCase")}}</li>
 <li>{{jsxref("RegExp.prototype.multiline")}}</li>
 <li>{{jsxref("RegExp.prototype.source")}}</li>
 <li>{{jsxref("RegExp.prototype.sticky")}}</li>
</ul>
